Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
exigido
Name of the model.
version
string
exigido
Version of the model.
Corpo da solicitação
The credential request request body.
blobUri
string
exigido
Blob URI of the model asset to fetch credentials for.
Respostas
The request has succeeded.
Corpo
blobReference
BlobReference
exigido
Blob reference details.
blobUri
string
exigido
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
exigido
ARM ID of the storage account to use.
credential
SasCredential
exigido
SAS Credential definition
sasUri
string
exigido
SAS uri
type
enum
exigido
Type of credential
Solicitar
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json